aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFlammie <Flammie@32389bae-6d03-0410-99cf-db05cde120eb>2008-09-11 11:31:15 +0000
committerFlammie <Flammie@32389bae-6d03-0410-99cf-db05cde120eb>2008-09-11 11:31:15 +0000
commit30646785d30755312850bf380ab41e57c34d02e3 (patch)
tree76102e8e1cadade418210ab18f9d362cab8b52df /sci-misc/sfst
parentVersion bump; ensure python has tkinter (diff)
downloadsci-30646785d30755312850bf380ab41e57c34d02e3.tar.gz
sci-30646785d30755312850bf380ab41e57c34d02e3.tar.bz2
sci-30646785d30755312850bf380ab41e57c34d02e3.zip
Version bump. Patch for gcc-4.3.
git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@1292 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'sci-misc/sfst')
-rw-r--r--sci-misc/sfst/ChangeLog6
-rw-r--r--sci-misc/sfst/Manifest11
-rw-r--r--sci-misc/sfst/files/SFST-1.3-gcc43.patch37
-rw-r--r--sci-misc/sfst/sfst-1.2.ebuild3
-rw-r--r--sci-misc/sfst/sfst-1.3.ebuild78
5 files changed, 130 insertions, 5 deletions
diff --git a/sci-misc/sfst/ChangeLog b/sci-misc/sfst/ChangeLog
index 2370a7c1c..be849fd72 100644
--- a/sci-misc/sfst/ChangeLog
+++ b/sci-misc/sfst/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*sfst-1.3 (11 Oct 2008)
+
+ 11 Oct 2008; Flammie Pirinen <flammie@gentoo.org> +sfst-1.3.ebuild,
+ +SFST-1.3-gcc43.patch:
+ Version bump. Added missing headers for gcc-4.3.
+
*sfst-1.2 (11 Mar 2008)
11 Mar 2008; Flammie Pirinen <flammie@gentoo.org> +sfst-1.2.ebuild:
diff --git a/sci-misc/sfst/Manifest b/sci-misc/sfst/Manifest
index 3d1a0e54e..499f4bd66 100644
--- a/sci-misc/sfst/Manifest
+++ b/sci-misc/sfst/Manifest
@@ -1,10 +1,13 @@
AUX 50sfst-gentoo.el 215 RMD160 80bbc30f9e67a4a065d521593fa2a598dd721494 SHA1 f5c7c4e6a13ad8178465876f706cb42eeecf1be2 SHA256 d8207a2fb7d0d4d3c81b014cd0e5501b8efcfb196d18e100ac011776cc34addf
+AUX SFST-1.3-gcc43.patch 1404 RMD160 b5b6e0c54a7dded1009fcd7aa06d09738fae2b96 SHA1 496fbe1a5ce5241c042614e920f4da5cb6f5f112 SHA256 0e25d451d9e7a7108492c59e4d605ea2c6909eba6f7677ad1f8d158be05180b8
AUX ftdetect-sfst.vim 83 RMD160 13bac861a8cd65f7896274c979a719795b8a69aa SHA1 15a75ae33e048a72bc00bd7ebb8f7d7db2811775 SHA256 8e48a335cebddc3f82af95bd826717b30e53164559f92124c20442eafac869e0
DIST SFST-1.1.tar.gz 469807 RMD160 da811f26730f25c452a983b561d11010f4fa8c1c SHA1 544e810b5104577670e2c5fa1f5377d05843e373 SHA256 5ab616dfe93c09f72c3a2b11502ef48de6b8db09a404564867d4d713086735cf
-DIST SFST-1.2.tar.gz 477037 RMD160 c21f31d7f6998c44d69ea55d4427f6e172fe69e6 SHA1 d084f29f2bfd9ce7c16bf62060c317ecc33b9464 SHA256 efc3da5d4015fa6059595d60bb4ced3b9f6c144d346bbab2ec6da438eb092568
-DIST sfst.el 4874 RMD160 cb0eb8e9c11706ee277fd620145e2cad9449e394 SHA1 70aa9078df4d820e7859f442b6dd9ac00d32f778 SHA256 8175a3f58672481003fc4ed369d58ad334a16c3cbaf81c82c17ce3cba1b9bbfd
+DIST SFST-1.2.tar.gz 477057 RMD160 a51a65c7b3c44b3d564f38d010b0b7f079e66c00 SHA1 815c5ff44bbf4ba0fc4ab650eeeaf180bf3c6e0e SHA256 597cc96f550b0cc02525c608c7113ab26d7c80758c97bf60132ae500cc4da1d2
+DIST SFST-1.3.tar.gz 477494 RMD160 9f7e7eab11e8a5772dc1723ac9cde5c295b801e3 SHA1 001b98f8b87ea92391a84b8865b15c8953be3c1c SHA256 00eb6e3c2744eeb1bb0f04312c12e750d3873c5fd91f1369009077da4ed7254e
+DIST sfst.el 4752 RMD160 b322b17fc4a0b9d22938af5438524cfac18f7a02 SHA1 779b36a5f60ea6ff6894950f82cce186397a6802 SHA256 b47ff59f5ff24482dbbb2f1e71a8b9ca234c4154487f83eb2118f1a62bb9eb5f
DIST vim-mode.tar.gz 1104 RMD160 c7e3f79fb5bd466724c3d456a92fbeb07d355515 SHA1 83b9651a7e4ca9642b16be416e616734e8c3f88c SHA256 a62ba91c40da75be389a334db62cc2b4904bedfac657b185012b10f3f55dfe09
EBUILD sfst-1.1.ebuild 1835 RMD160 3e64bed7598acbd3ae730080aa5aa7b48f13985a SHA1 0b51f9ecf32c4f95fc9b262de3ddf51571b3e63d SHA256 e0bafa4204212c14209a663d856ffe69e93779f12533345472e1abf120dda4ce
-EBUILD sfst-1.2.ebuild 1794 RMD160 fa733feb042ca15b6ec4b4461139e911d042ad30 SHA1 60b1dcb5694571080e92dd2f922d9c4eac38eece SHA256 ccf21e4dafdaec8180b57883f5f1c8cf981d8d50afc26e444819250e44bd275f
-MISC ChangeLog 515 RMD160 7135f0731522adbce08e464098e38d9519908430 SHA1 42e325c343678b70d891f66762571c96521a674e SHA256 425e9a7c933b8e5bbe7f52c6bde186167b60db7a70474682b98bf9981400cb45
+EBUILD sfst-1.2.ebuild 1841 RMD160 b03952bc60a390b63bcec031e878c41742293965 SHA1 0fea341e08390c19ed62c1dd69589e4a817cc832 SHA256 6f108c3339c03f2373838fb7c228c6dcd9a973a13fc137314c683b2934259315
+EBUILD sfst-1.3.ebuild 1908 RMD160 aa1541f8140e0cf54540348653ca9d52215ed793 SHA1 914f1093e1b811b3f82ea702fcebdaa96900ba98 SHA256 1a5bca1dd2c4e7ef4cf263012ed5059879014120105223e96ea6af28cdc0d0a0
+MISC ChangeLog 687 RMD160 91ce1d4a0974aeb9902a290cc766911479f28cc0 SHA1 37d5e4edd88016ca9974ada51ec811aa2bb425ec SHA256 dd00b97b19814589b0a8c5b9712e14c3b6766c8daa8cbf34f9d4cb267faaab6a
MISC metadata.xml 493 RMD160 ea55577c02d3767473d78e1e2b00cd8b556b9a13 SHA1 2a237598bbecb05fe3f58923c084cf8b12cbe52e SHA256 7b452c2e5e1db167cf8064c8620a80101a4f5e8c655efff6e3e34de20ed98e73
diff --git a/sci-misc/sfst/files/SFST-1.3-gcc43.patch b/sci-misc/sfst/files/SFST-1.3-gcc43.patch
new file mode 100644
index 000000000..3198d6b0f
--- /dev/null
+++ b/sci-misc/sfst/files/SFST-1.3-gcc43.patch
@@ -0,0 +1,37 @@
+diff -Naur SFST-1.3/src/alphabet.C SFST/src/alphabet.C
+--- SFST-1.3/src/alphabet.C 2008-09-11 10:59:11.000000000 +0000
++++ SFST/src/alphabet.C 2008-09-11 11:01:44.000000000 +0000
+@@ -10,6 +10,9 @@
+ /* */
+ /*******************************************************************/
+
++#include <climits>
++#include <cstring>
++
+ #include "utf8.h"
+ #include "alphabet.h"
+
+diff -Naur SFST-1.3/src/alphabet.h SFST/src/alphabet.h
+--- SFST-1.3/src/alphabet.h 2008-09-11 10:59:11.000000000 +0000
++++ SFST/src/alphabet.h 2008-09-11 10:59:54.000000000 +0000
+@@ -21,6 +21,8 @@
+
+ #include <iostream>
+
++#include <cstring>
++
+ #ifndef CODE_DATA_TYPE
+ typedef unsigned short Character; // data type of the symbol codes
+ #else
+diff -Naur SFST-1.3/src/interface.h SFST/src/interface.h
+--- SFST-1.3/src/interface.h 2008-09-11 10:59:11.000000000 +0000
++++ SFST/src/interface.h 2008-09-11 11:03:32.000000000 +0000
+@@ -82,7 +82,7 @@
+ Transducer *optional( Transducer *a );
+ Transducer *make_rule( Transducer *lc, Range *r1, Twol_Type type,
+ Range *r2, Transducer *rc );
+-Transducer *freely_insert( Transducer *a, Character c, Character c );
++Transducer *freely_insert( Transducer *a, Character lc, Character uc );
+ Transducer *make_mapping( Ranges*, Ranges* );
+ Ranges *add_range( Range*, Ranges* );
+ Contexts *make_context( Transducer *l, Transducer *r );
diff --git a/sci-misc/sfst/sfst-1.2.ebuild b/sci-misc/sfst/sfst-1.2.ebuild
index 7a41d33a2..8ea3ac5db 100644
--- a/sci-misc/sfst/sfst-1.2.ebuild
+++ b/sci-misc/sfst/sfst-1.2.ebuild
@@ -15,7 +15,7 @@ emacs? ( http://www.cis.uni-muenchen.de/~wastl/emacs/sfst.el )"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~x86"
+KEYWORDS="~x86 ~amd64"
IUSE="vim-syntax emacs"
DEPEND="sys-libs/readline
@@ -32,6 +32,7 @@ src_unpack() {
# settings in makefile are a bit hacky
sed -i -e "s/^CFLAGS = -O3/CFLAGS = ${CFLAGS}/g" \
-e "s/local//g" \
+ -e 's/strip/echo strip removed: /g' \
"${S}"/src/Makefile || die "sed failed"
cd "${S}"
if use emacs ; then
diff --git a/sci-misc/sfst/sfst-1.3.ebuild b/sci-misc/sfst/sfst-1.3.ebuild
new file mode 100644
index 000000000..b395bb5fd
--- /dev/null
+++ b/sci-misc/sfst/sfst-1.3.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils elisp
+
+MY_PN="SFST"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Uni Stuttgart Finite State Transducer tools"
+HOMEPAGE="http://www.ims.uni-stuttgart.de/projekte/gramotron/SOFTWARE/SFST.html"
+SRC_URI="ftp://ftp.ims.uni-stuttgart.de/pub/corpora/${MY_PN}/${MY_P}.tar.gz
+vim-syntax? ( ftp://ftp.ims.uni-stuttgart.de/pub/corpora/${MY_PN}/vim-mode.tar.gz )
+emacs? ( http://www.cis.uni-muenchen.de/~wastl/emacs/sfst.el )"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="vim-syntax emacs"
+
+DEPEND="sys-libs/readline
+sys-devel/bison
+sys-devel/flex
+sys-apps/sed"
+RDEPEND="sys-libs/readline"
+
+S="${WORKDIR}/${MY_PN}"
+
+
+src_unpack() {
+ unpack ${A}
+ # settings in makefile are a bit hacky
+ epatch "${FILESDIR}"/SFST-1.3-gcc43.patch || die "patch failed"
+ sed -i -e "s/^CFLAGS = -O3/CFLAGS = ${CFLAGS}/g" \
+ -e "s/local//g" \
+ -e 's/strip/echo strip removed: /g' \
+ "${S}"/src/Makefile || die "sed failed"
+ cd "${S}"
+ if use emacs ; then
+ cp "${DISTDIR}/sfst.el" "${S}"
+ fi
+ if use vim-syntax ; then
+ mv "${WORKDIR}"/INSTALL "${S}"/INSTALL-vim-syntax
+ mv "${WORKDIR}"/sfst.vim "${S}"/
+ fi
+}
+
+src_compile() {
+ cd "${S}/src"
+ emake || die "make failed"
+ if use emacs ; then
+ cd "${S}"
+ elisp_src_compile
+ fi
+}
+
+src_install() {
+ cd "${S}/src"
+ # destdir works but prefix fails
+ emake DESTDIR="${D}" install maninstall || die "install failed"
+ cd "${S}"
+ dodoc README || die "doc failed"
+ insinto /usr/share/doc/${PF}/
+ doins doc/SFST-Manual.pdf doc/SFST-Tutorial.pdf || die "doc failed"
+ insinto /usr/share/${PN}
+ doins -r data/*
+ if use vim-syntax ; then
+ insinto /usr/share/vim/vimfiles/syntax/
+ doins sfst.vim
+ insinto /usr/share/vim/vimfiles/ftdetect/
+ newins "${FILESDIR}"/ftdetect-sfst.vim sfst.vim
+ dodoc INSTALL-vim-syntax
+ fi
+ if use emacs ; then
+ elisp_src_install
+ fi
+}
+